Skip to main content
`Ctrl`+`K`

# pandas.plotting.table

pandas.plotting.table(ax, data, **kwargs)

  Helper function to convert DataFrame and Series to matplotlib.table.

  Parameters:
    ax Matplotlib axes object
    data DataFrame or Series

      Data for table contents.

    **kwargs

      Keyword arguments to be passed to matplotlib.table.table. If rowLabels or colLabels is not specified, data index or column name will be used.

  Returns:
    matplotlib table object

  Examples

      >>> import matplotlib.pyplot as plt
      >>> df = pd.DataFrame({'A': [1, 2], 'B': [3, 4]})
      >>> fix, ax = plt.subplots()
      >>> ax.axis('off')
      (0.0, 1.0, 0.0, 1.0)
      >>> table = pd.plotting.table(ax, df, loc='center',
      ...                           cellLoc='center', colWidths=list([.2, .2]))